> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://virtuous.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://virtuous.ferndocs.com/_mcp/server.

# Get Project Details

GET https://api.vomo.org/v1/projects/{id}

Reference: https://virtuous.ferndocs.com/reference/volunteer/projects/show-project

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (integer, required) — VOMO Project ID

## Response

### 200

successful operation

- `data` (list of ProjectDetailResource, optional) — Project details
- `links` (ProjectsIdGetResponsesContentApplicationJsonSchemaLinks, optional) — Project details
- `meta` (ProjectsIdGetResponsesContentApplicationJsonSchemaMeta, optional) — Project details

## Types

### ProjectDetailResource

A VOMO Project

- `address` (list of ProjectResourceAddressItems, optional) — The address where the project will take place. The format used is the standard Google address API.
- `age_limit` (integer, optional) — The minimum age a volunteer must be
- `all_dates` (list of HappeningResource, optional)
- `allow_guests` (boolean, optional) — Whether to allow volunteers to bring guests
- `background_check_required` (boolean, optional) — Volunteers must have a background check before signing up for your Project.
- `campaigns` (list of CampaignResource, optional)
- `certificates` (list of list of CertificateResourceItems, optional)
- `created_at` (datetime, optional) — The date and time the project was created at
- `description` (string, optional) — A description for the project
- `details` (string, optional) — Emphasize important details such as shoes to wear or items to bring. This information goes in the signup confirmation email, and is a great place to detail next steps in a Project
- `draft` (boolean, optional) — When a project is in draft, it will not be viewable by anyone.
- `form_completions` (list of FormCompletionResource, optional)
- `id` (integer, optional) — The VOMO project id
- `images` (list of string, optional) — An array of project images
- `name` (string, optional) — The name of the project
- `next_date` (HappeningResource, optional) — A VOMO Happening
- `organization` (string, optional) — The Organization name the project belongs to.
- `organization_id` (integer, optional) — The Organization ID the project belongs to.
- `organization_slug` (string, optional) — The Organization slug the project belongs to.
- `owners` (list of ProjectResourceOwnersItems, optional)
- `participant_approval_required` (boolean, optional) — Volunteers must be approved by the organizer before their spot is reserved.
- `point_person` (ProjectDetailResourcePointPerson, optional) — Identify a person to contact or meet on the day of the Project. This contact info goes in the signup confirmation email, but this person does not receive notifications.
- `privacy` (enum, optional) — Public is accessible by all VOMO users. Private is accessible only by the members of your Organization (those people in your People list).
  - Allowed values: `PUBLIC`, `PRIVATE`, `UNLISTED`
- `project_name` (string, optional) — The name of the project
- `published_at` (datetime, optional) — The date and time the project was published
- `show_volunteer_counter` (boolean, optional) — Display number of participants. Note that this will only show on the project page if it is an Anytime project
- `type` (string, optional) — The VOMO object type
- `updated_at` (datetime, optional) — The date and time the project was updated at
- `url` (string, optional) — A URL to the project
- `volunteer_counter_threshold` (integer, optional) — The minimum number of volunteers signed up before the counter is shown. Note that this will only show on the project page if it is an Anytime project
- `volunteer_question` (string, optional) — Ask your volunteers to provide additional information about themselves as they register. This field will be required to join the Serving Date.

### ProjectsIdGetResponsesContentApplicationJsonSchemaLinks

Project details

- `first` (string, optional) — A link to the first page of results
- `last` (string, optional) — A link to the last page of results
- `prev` (string, optional) — A link to the previous page of results
- `next` (string, optional) — A link to the next page of results

### ProjectsIdGetResponsesContentApplicationJsonSchemaMeta

Project details

- `current_page` (integer, optional) — The current page
- `from` (integer, optional) — The index of the first result on this page
- `to` (integer, optional) — The index of the last result on this page
- `path` (string, optional) — The base URL
- `per_page` (integer, optional) — The number of results per page
- `total` (integer, optional) — The total number of results

### ProjectResourceAddressItems

- `lat` (string, optional)
- `lng` (string, optional)
- `country` (string, optional)
- `locality` (string, optional)
- `timezone` (string, optional)
- `postal_code` (string, optional)
- `country_short` (string, optional)
- `locality_short` (string, optional)
- `formatted_address` (string, optional)
- `postal_code_short` (string, optional)
- `administrative_area_level_1` (string, optional)
- `administrative_area_level_1_short` (string, optional)

### HappeningResource

A VOMO Happening

- `type` (string, optional) — The type of VOMO object
- `id` (integer, optional) — Project Date ID
- `starts_at` (string, optional) — The date and time when a Project Date will start
- `ends_at` (string, optional) — The date and time when a Project Date will end
- `participant_count` (integer, optional) — The total number of confirmed participants for this date

### CampaignResource

A VOMO Project

- `type` (string, optional) — The VOMO object type
- `id` (integer, optional) — The VOMO campaign ID
- `campaign_name` (string, optional) — The name of the campaign
- `description` (string, optional) — The description for the campaign
- `url` (string, optional) — A URL to the campaign on VOMO
- `organization` (string, optional) — The organization name the campaign is in
- `organization_slug` (string, optional) — The organization slug the campaign is in
- `author_id` (integer, optional) — The VOMO user ID of the person who created the campaign
- `logo_url` (string, optional) — The URL for the campaign logo image
- `updated_at` (datetime, optional) — The date and time the campaign was updated at
- `created_at` (datetime, optional) — The date and time the campaign was created at

### CertificateResourceItems

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the certification
- `name` (string, optional) — The name of the certification
- `requirement` (string, optional) — A description for the certification
- `slug` (enum, optional) — The slug for the certification
  - Allowed values: `SHORTTEXT`, `LONGTEXT`, `DROPDOWN`, `MULTIPLESELECT`, `WAIVER`, `TEXTSINGLE`
- `expiration_in_months` (integer, optional) — The certification default expiration after completion in months
- `creator_id` (integer, optional) — The id of the certification creator
- `organization_id` (integer, optional) — The id of the organization the certification belongs to
- `created_at` (datetime, optional) — The date and time the form completion was created at
- `updated_at` (datetime, optional) — The date and time the form completion was updated at

### FormCompletionResource

List of Form Completions

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the form completion
- `form_id` (integer, optional) — The ID of the form
- `user_id` (integer, optional) — The ID of the user who completed the form
- `project_id` (integer, optional) — The ID of the project this form submission is associated with
- `updated_at` (datetime, optional) — The date and time the form completion was updated at
- `created_at` (datetime, optional) — The date and time the form completion was created at
- `field_responses` (list of FormFieldResponseResource, optional) — The form field responses

### ProjectResourceOwnersItems

- `id` (integer, optional) — The VOMO user ID of the person who is an owner
- `is_primary_owner` (boolean, optional) — Wether or not this is a primary owner. There must be one primary owner per project.
- `send_notifications` (boolean, optional) — Wether this owner should recieve project notifications.

### ProjectDetailResourcePointPerson

Identify a person to contact or meet on the day of the Project. This contact info goes in the signup confirmation email, but this person does not receive notifications.

- `name` (string, optional)
- `phone` (string, optional)
- `email` (string, optional)

### FormFieldResponseResource

Form Field Response

- `type` (string, optional) — The type of VOMO Object
- `id` (integer, optional) — The ID of the response
- `form_completion_id` (integer, optional) — The ID of the form completion
- `user_id` (integer, optional) — The ID of the user who completed the form field
- `field_id` (integer, optional) — The ID of the form field
- `value` (string, optional) — The value of the field response

## Examples

**Response**

```json
{
  "data": [
    {
      "address": [
        {
          "lat": "40.70387040000001",
          "lng": "-74.0138541",
          "country": "United States",
          "locality": "BOWLING GREEN",
          "timezone": "America/New_York",
          "postal_code": "10004",
          "country_short": "US",
          "locality_short": "BOWLING GREEN",
          "formatted_address": "BOWLING GREEN, NY 10004, USA",
          "postal_code_short": "10004",
          "administrative_area_level_1": "New York",
          "administrative_area_level_1_short": "NY"
        }
      ],
      "age_limit": 13,
      "all_dates": [
        {
          "type": "project_date",
          "id": 1,
          "starts_at": "2020-01-01T12:00:00+00:00",
          "ends_at": "2020-01-01T19:00:00+00:00",
          "participant_count": 13
        }
      ],
      "allow_guests": 1,
      "background_check_required": 1,
      "campaigns": [
        {
          "type": "campaign",
          "id": 1,
          "campaign_name": "Together",
          "description": "Example description.",
          "url": "http://app.vomo.org/initiative/together",
          "organization": "VOMO",
          "organization_slug": "VOMO",
          "author_id": 1,
          "logo_url": "https://s3.amazonaws.com/awakenmycity/j2/7Z/r4-s.jpg",
          "updated_at": "2016-03-07T07:49:41+00:00",
          "created_at": "2016-03-07T07:49:41+00:00"
        }
      ],
      "certificates": [
        [
          {
            "type": "certificate",
            "id": 1,
            "name": "Volunteer Application",
            "requirement": "Watch tutorial videos.",
            "slug": "SHORTTEXT",
            "expiration_in_months": 12,
            "creator_id": 1,
            "organization_id": 1,
            "created_at": "2016-03-07T07:49:41+00:00",
            "updated_at": "2016-03-07T07:49:41+00:00"
          }
        ]
      ],
      "created_at": "2016-03-07T07:49:41+00:00",
      "description": "Inviting & meeting new neighbors of the community. Serving meals, setup game stations, face paintings for kids...etc.",
      "details": "Wear comfortable shoes!",
      "draft": 0,
      "form_completions": [
        {
          "type": "form_completion",
          "id": 1,
          "form_id": 1,
          "user_id": 1,
          "project_id": 1,
          "updated_at": "2016-03-07T07:49:41+00:00",
          "created_at": "2016-03-07T07:49:41+00:00",
          "field_responses": [
            {
              "type": "form_field_response",
              "id": 1,
              "form_completion_id": 1,
              "user_id": 1,
              "field_id": 1,
              "value": "S"
            }
          ]
        }
      ],
      "id": 1,
      "images": [
        "https://web-assets.vomo.org/categories/animals/Animals.jpg"
      ],
      "name": "Community Gathering",
      "next_date": {
        "type": "project_date",
        "id": 1,
        "starts_at": "2020-01-01T12:00:00+00:00",
        "ends_at": "2020-01-01T19:00:00+00:00",
        "participant_count": 13
      },
      "organization": "VOMO",
      "organization_id": 1,
      "organization_slug": "VOMO",
      "owners": [
        {
          "id": 1,
          "is_primary_owner": 1,
          "send_notifications": 1
        }
      ],
      "participant_approval_required": 1,
      "point_person": {
        "name": "John Volunteer",
        "phone": "5555555555",
        "email": "volunteer@vomo.org"
      },
      "privacy": "PUBLIC",
      "project_name": "Community Gathering",
      "published_at": "2016-03-07T07:49:41+00:00",
      "show_volunteer_counter": 1,
      "type": "project",
      "updated_at": "2016-03-07T07:49:41+00:00",
      "url": "https://app.vomo.org/opportunity/generated-slug",
      "volunteer_counter_threshold": 10,
      "volunteer_question": "What is your t-shirt size?"
    }
  ],
  "links": {
    "first": "https://api.vomo.org/v1/projects?page=4",
    "last": "https://api.vomo.org/v1/projects?page=4",
    "prev": "null",
    "next": "https://api.vomo.org/v1/projects?page=2"
  },
  "meta": {
    "current_page": 1,
    "from": 1,
    "to": 15,
    "path": "https://api.vomo.org/v1/projects",
    "per_page": 15,
    "total": 49
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.vomo.org/v1/projects/1"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.vomo.org/v1/projects/1';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://api.vomo.org/v1/projects/1"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.vomo.org/v1/projects/1")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://api.vomo.org/v1/projects/1")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://api.vomo.org/v1/projects/1', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.vomo.org/v1/projects/1");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://api.vomo.org/v1/projects/1")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```